---
title: "Updates the account status for a particular user"
slug: "updates-the-account-status-for-a-particular-user"
updated: 2025-07-21T18:55:46Z
published: 2025-07-21T18:55:54Z
canonical: "docs.neeve.ai/updates-the-account-status-for-a-particular-user"
---
> ## Documentation Index
> Fetch the complete documentation index at: https://docs.neeve.ai/llms.txt
> Use this file to discover all available pages before exploring further.
# Updates the account status for a particular user
Put/api/v1/users/{userId}/accountstatus
SecurityHTTPType bearer
Path parametersuserIdstringRequired
The ID of the user
Body parameters
The new account status for the user
object accountStatusstring
Responses200
OK
Expand Allobject authorizationboolean
data Array of object object accountStatusstring
messagestring
namestring
useridstring
error_codeinteger
error_messagestring
error_statusboolean Examplefalse
401
Unauthorized
object error_codeinteger
error_messagestring
error_statusboolean
403
Forbidden - User creation is still in progress.
object authorizationboolean
data Array of string Example[]string
error_codeinteger | null
error_messagestring | null
error_statusboolean
404
Not Found
object authorizationboolean
data Array of string Example[]string
error_codeinteger | null
error_messagestring | null
error_statusboolean
500
Internal Server Error
object authorizationboolean
data Array of string Example[]string
error_codeinteger | null
error_messagestring | null
error_statusboolean